---
title: Document.head
slug: Web/API/Document/head
tags:
  - API
  - Document
  - HTML DOM
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>head</strong></code> read-only property of the {{domxref("Document")}} interface returns the {{HTMLElement("head")}} element of the current document.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>objRef</var> = document.head;
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("HTMLHeadElement")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;!doctype html&gt;
&lt;head id="my-document-head"&gt;
  &lt;title&gt;Example: using document.head&lt;/title&gt;
&lt;/head&gt;

&lt;script&gt;
  var theHead = document.head;

  console.log(theHead.id); // "my-document-head";

  console.log( theHead === document.querySelector("head") ); // true
&lt;/script&gt;
</pre>

<h2 id="Notes">Notes</h2>

<p><code>document.head</code> is read-only. Trying to assign a value to this property will fail silently or, in <a href="/en-US/docs/Web/JavaScript/Reference/Strict_mode">Strict Mode</a>, throws a {{jsxref("TypeError")}} .</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML5.1','dom.html#dom-document-head','Document.head')}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C','dom.html#dom-document-head','Document.head')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','dom.html#dom-document-head','Document.head')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.head")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref("document.body")}}</li>
</ul>
